Supporto » Varie ed eventuali » php parse error

  • Premesso che tutti i passaggi per ripristinare il sito sono stati fatti (ho disabilitato i plugin ed il tema corrente, ho sovrascritto i files di wp con la versione in uso quindi tutti i files nella roote e quelli delle cartelle wp-admin e wp-include) ancora non ho provato con il database perchè quello che ho potrebbe avere lo stesso problema se il problema è nel db. La configurazione che ho è obsoleta perche chi ha in gestione il sito non vuole cambiare anche se tutti i problemi relativi alla sicurezza gli sono stati elencati. La configurazione è la seguente:
    wordpress installato, versione 3.5.1 su server linux PHP 5.0 MySQL 5.1.63
    Comunque ho abilitato il debug ed il risultato è il seguente:

    [12-Nov-2019 16:36:49 UTC] PHP Parse error: syntax error, unexpected ‘$supports_permalinks’ (T_VARIABLE) in /var/www/vhosts/vanitycake.it/httpdocs/wp/wp-includes/functions.php on line 3029

    Ma la cosa strana è che da quando ho abilitato il debug nel file debug.log ci sono registrati errori a tutte le ore incluso di notte!!!!
    Come posso procedere per ripristinare questa situazione???
    Grazie, Santino.

    La pagina su cui ho bisogno di aiuto: [devi essere connesso per vedere il link]

Stai visualizzando 3 risposte - dal 1 al 3 (di 3 totali)
  • Moderatore Rosetta Facciolini

    (@ramthas)

    Web Manager

    Ciao @santy00
    aldilà del debug, elenco i problemi secondo il mio parere:

      WordpPress v. 3.5.1 stiamo parlando del 2013
      PHP v. 5 stiamo parlando del 2004
      MySQL 5.1.63 intorno al 2013

    E’ tutto troppo obsoleto. Non credo ci sia una soluzione diversa dall’aggiornare sia WP che PHP.

    Eh si questo è il mio intento, però volevo capire perche prima funzionava ed ora non piu visto che cmq non sono stati fatti aggiornamenti. Cmq oggi ho azzerato il db ho installato wp 5.3 in una posizione diversa ed ho cambiato pwd e user al db. Mentre stavo mettendo una pagina di undercostruction si è verificato di nuovo l’error 500. Sono senza parole.

    Moderatore Rosetta Facciolini

    (@ramthas)

    Web Manager

    Non funziona più probabilmente perchè hai fatto aggiornamenti non coerenti… tieni conto che per la nuova versione di WordPress 5.3 è fondamentale ci sia PHP V. 7 o superiore per funzionare a pieno.
    Ps. error 500 potrebbe essere un errore nello stabilire una connessione al database.

    Facci sapere. Ciao

Stai visualizzando 3 risposte - dal 1 al 3 (di 3 totali)
  • Devi essere collegato per rispondere a questo topic.